%global repo dde-qt5integration

Name:           dde-qt5integration
Version:        5.1.19
Release:        1%{?dist}.05
Summary:        Qt platform theme integration plugins for DDE
# The entire source code is GPLv3+ except styles/ which is BSD,
# styleplugins/dstyleplugin/dstyleanimation* which is LGPL
License:        GPLv3+ and BSD and LGPLv2+
URL:            https://github.com/linuxdeepin/qt5integration
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(dtkcore)
BuildRequires:  pkgconfig(dtkwidget) >= 2.0.6
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Xdg) >= 3.0.0
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(mtdev)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5MultimediaWidgets)
BuildRequires:  qt5-qtbase-common
BuildRequires:  gtest-devel
BuildRequires:  gmock-devel

# for libQt5ThemeSupport.a
BuildRequires:  qt5-qtbase-static
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  make

Requires:      libqtxdg-devel 

%description
Multiple Qt plugins to provide better Qt5 integration for DDE is included.

%prep
%autosetup -p1 -n %{repo}-%{version}

%build
%qmake_qt5 PREFIX=%{_prefix} BASED_DTK_DIR=based-dtk
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
# chooser
%{_qt5_plugindir}/platformthemes/libqdeepin.so
%{_qt5_plugindir}/iconengines/libdsvgicon.so
%{_qt5_plugindir}/imageformats/libdsvg.so
%{_qt5_plugindir}/iconengines/libdtkbuiltin.so
%{_qt5_plugindir}/styles/libchameleon.so
# target
%{_qt5_plugindir}/platformthemes/based-dtk/libqdeepin.so
%{_qt5_plugindir}/iconengines/based-dtk/libdsvgicon.so
%{_qt5_plugindir}/imageformats/based-dtk/libdsvg.so
%{_qt5_plugindir}/iconengines/based-dtk/libdtkbuiltin.so
%{_qt5_plugindir}/styles/based-dtk/libchameleon.so
%{_libdir}/qt5/plugins/iconengines/based-dtk/libxdgicon.so
%{_libdir}/qt5/plugins/iconengines/libxdgicon.so
%changelog
* Fri Nov 26 2021 mahailiang <mahailiang@uniontech.com> - 5.1.19-1.05
- Add Requires libqtxdg-devel 

* Fri Nov 26 2021 mahailiang <mahailiang@uniontech.com> - 5.1.19-1.04
- Rebuild for updated dtk

* Fri Nov 12 2021 mahailiang <mahailiang@uniontech.com> - 5.1.19-1.03
- fix dde start error

* Wed Nov 03 2021 Zhang taikun <zhangtaikun@uniontech.com> - 5.1.19-1.02
- Add patch to remove pixmap object with free size

* Tue Oct 26 2021 Zhang taikun <zhangtaikun@uniontech.com> - 5.1.19-1.01
- Update dde-qt5xcb-plugin for 5.1.19

* Thu Oct 14 2021 Zhang taikun <zhangtaikun@uniontech.com> - 5.1.19-1
- Update to 5.1.19
